header "A Header"

theory Demo imports Main begin

section "A Section"

subsection "A subsection"

subsubsection "A subsubsection"

text {*
  Here some text with some antiquotations:

  @{typ "'a list"}, @{term "x#xs"}, @{prop "x#xs = y#ys"}, @{text "any text"}

  @{thm [display] list.induct}
*}

(* this comment not visible in latex *)

text {* 
  Keywords are printed bold, rest is just copied verbatim into the document:
*}

lemma "a = a"
  -- "not a difficult proof"
  -- "note that the double quotes do not appear in the ouptput"
proof -
  txt {* 
    but we might still want to have a longer text in here
    and do \LaTeX\ tricks:
  *}  
  txt_raw {* \begin{itemize} \item *}    
  show "a = a" by force
  txt_raw {* \end{itemize} *}
qed

(*<*)
-- "this part invisible in latex:"
lemma "b = b" by simp
(*>*)

end
